Bug 1039897 - python-yenc was updated to v0.4 over two years ago, Fedora still ship v0.3
Summary: python-yenc was updated to v0.4 over two years ago, Fedora still ship v0.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-yenc
Version: 19
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Conrad Meyer
QA Contact: Fedora Extras Quality Assurance
URL: https://bitbucket.org/dual75/yenc
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-10 09:31 UTC by frollic nilsson
Modified: 2013-12-20 01:55 UTC (History)
1 user (show)

Fixed In Version: python-yenc-0.4.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-19 07:07:44 UTC


Attachments (Terms of Use)

Description frollic nilsson 2013-12-10 09:31:33 UTC
Description of problem:
python-yenc should be updated to v0.4


Version 0.4 introduces the close() method on Encoder and Decoder, fixes crc32 formatting and adds escaping of '.' for compatibility with some ydecode tools, strictly speaking this wasn't a bug and yenc specs reccomend this behaviour only for clients that write directly on the tcp steam. Version 0.4 is meant to be backward compatible with both 0.3 and 0.2.

Comment 1 Conrad Meyer 2013-12-10 13:02:30 UTC
Ah, I thought upstream was dead. This is better. Will update.

Comment 2 Conrad Meyer 2013-12-10 13:32:49 UTC
Built in rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=6275937
F-20 / F-19 to follow.

Comment 4 Fedora Update System 2013-12-10 14:04:08 UTC
python-yenc-0.4.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-yenc-0.4.0-1.fc20

Comment 5 Fedora Update System 2013-12-10 14:04:17 UTC
python-yenc-0.4.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-yenc-0.4.0-1.fc19

Comment 6 Fedora Update System 2013-12-10 15:53:47 UTC
Package python-yenc-0.4.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-yenc-0.4.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23102/python-yenc-0.4.0-1.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-12-19 07:07:44 UTC
python-yenc-0.4.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-12-20 01:55:03 UTC
python-yenc-0.4.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.